AI 프롬프트 비활성화
지정한 AI 프롬프트를 비활성화합니다.
필요 권한
사용자 이상의 계정으로 이용할 수 있습니다.
HTTP 요청
POST /api/sonar/ai/prompts/:guid/disable
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
-X POST \
https://HOSTNAME/api/sonar/ai/prompts/a1b2c3d4-e5f6-7890-abcd-ef1234567890/disable
요청 매개변수
경로 매개변수
| 키 | 타입 | 설명 | 비고 |
|---|---|---|---|
| guid | 문자열 | 프롬프트 GUID | 36자 |
정상 응답
{}
오류 응답
guid가 누락된 경우
HTTP 상태 코드 400 응답
{
"error_code": "null-argument",
"error_msg": "guid should be not null"
}
guid가 GUID 형식이 아닌 경우
HTTP 상태 코드 400 응답
{
"error_code": "invalid-param-type",
"error_msg": "guid should be guid type."
}
프롬프트가 존재하지 않는 경우
HTTP 상태 코드 500 응답
{
"error_code": "illegal-state",
"error_msg": "prompt not found: a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
권한이 없는 경우
HTTP 상태 코드 500 응답
{
"error_code": "illegal-state",
"error_msg": "no-permission"
}